Custom Objects
Custom objects
Filter Custom Objects for the Client object (is_custom field)
truepipeline- pipelinestandard- standard
Which field to use when ordering the results. Prepend with '-' for descending order.
A page number within the paginated result set.
Number of results to return per page.
A search term.
123http://api.example.org/accounts/?page=4http://api.example.org/accounts/?page=2["error message"]GET /api/custom-objects HTTP/1.1
X-API-KEY: YOUR_API_KEY
X-BUSINESS-ID: YOUR_BUSINESS_ID
X-USER-ID: YOUR_USER_ID
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"fetch_url": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"object_type": "pipeline",
"object_name": "text",
"entity_name": "text",
"rollup_related_leadsources": true,
"association_source": "direct",
"has_commerce_data": true,
"default_on_activities": true,
"owner": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"first_name": "text",
"last_name": "text",
"email": "name@gmail.com",
"full_name": "text",
"picture": {
"id": "text",
"created": "2026-01-01T00:00:00.000Z",
"key": "text",
"name": "text",
"url": "text",
"thumbnail_url": "text",
"size_bytes": "text",
"content_type": "text",
"size_formatted": "text",
"is_public": true
}
},
"description": "text",
"is_custom": true,
"allow_relations": true,
"created": "2026-01-01T00:00:00.000Z",
"access": {
"view": true,
"edit": true,
"remove": true
},
"track_entity_value": true,
"include_percentage_to_close": true,
"use_ai_to_update_percentage": true,
"ai_confidence_threshold": "text",
"allow_on_forms": true,
"default_color": "text",
"default_icon": "text"
}
],
"errors": [
"error message"
]
}Get Custom object by ID
Custom Object ID (UUID) or API name
Which field to use when ordering the results. Prepend with '-' for descending order.
pipeline- pipelinestandard- standard
falsedirect- Directrelated- Relateddirect_and_related- Direct and Related
^-?\d{0,1}(?:\.\d{0,2})?$#085BEEbars-lightGET /api/custom-objects/{object_identifier} HTTP/1.1
X-API-KEY: YOUR_API_KEY
X-BUSINESS-ID: YOUR_BUSINESS_ID
X-USER-ID: YOUR_USER_ID
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"object_type": "pipeline",
"entity_name": "text",
"object_name": "text",
"has_commerce_data": false,
"default_on_activities": true,
"owner": {
"picture_url": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"first_name": "text",
"last_name": "text",
"email": "name@gmail.com",
"display_name": "text",
"account_type": "text"
},
"name": "text",
"description": "text",
"ai_description": "text",
"is_custom": true,
"fetch_url": "text",
"allow_relations": true,
"meta": null,
"related_objects": [
{
"related_object": "123e4567-e89b-12d3-a456-426614174000",
"relation_type": "one_to_one",
"rollup_timeline": false,
"rollup_leadsources": true,
"object_type": "text",
"object_name": "text",
"entity_name": "text",
"field_id": "123e4567-e89b-12d3-a456-426614174000"
}
],
"number_of_records": 1,
"created": "2026-01-01T00:00:00.000Z",
"access": {
"view": true,
"edit": true,
"remove": true
},
"entity_access": true,
"rollup_related_leadsources": true,
"quick_filtering_enabled": true,
"record_layouts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"config": null,
"tabs": null,
"order": 1
}
],
"association_source": "direct",
"association_source_fields": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"related_field": "text",
"related_object": "text"
}
],
"action_override_create": "text",
"track_entity_value": true,
"include_percentage_to_close": true,
"use_ai_to_update_percentage": true,
"ai_confidence_threshold": "text",
"pipeline": {
"stages": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"status": "open",
"percentage_chance_to_close": 1,
"order": 1
}
],
"track_entity_value": true,
"include_percentage_to_close": true,
"use_ai_to_update_percentage": true
},
"total_pipeline_value": 1,
"total_commerce_value": 1,
"reasons_lost": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
}
],
"reasons_disqualified": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
}
],
"undeletable_fields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"allow_on_forms": true,
"entity_display_name_pattern_text": "text",
"entity_display_name_pattern_html": "text",
"entity_search_text_pattern": "text",
"default_color": "#085BEE",
"default_icon": "bars-light",
"browser_js_actions": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"api_name": "text",
"name": "text",
"script": "text",
"plugin_app": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"api_name": "text",
"base_config": null
}
}
],
"browser_route_scripts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"api_name": "text",
"name": "text",
"routes": null,
"script": "text",
"blocking": true,
"custom_object": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"object_name": "text"
},
"plugin_app": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"api_name": "text",
"base_config": null
}
}
],
"custom_actions": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"action": "text",
"automation": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"api_name": "text",
"name": "text"
},
"smart_connector": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
},
"order": 1
}
]
}Custom object with fields and categories
Custom object ID (UUID) or API name
pipeline- pipelinestandard- standard
falsedirect- Directrelated- Relateddirect_and_related- Direct and Related
GET /api/custom-objects/{object_identifier}/detail HTTP/1.1
X-API-KEY: YOUR_API_KEY
X-BUSINESS-ID: YOUR_BUSINESS_ID
X-USER-ID: YOUR_USER_ID
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"object_type": "pipeline",
"entity_name": "text",
"object_name": "text",
"has_commerce_data": false,
"default_on_activities": true,
"owner": {
"picture_url": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"first_name": "text",
"last_name": "text",
"email": "name@gmail.com",
"display_name": "text",
"account_type": "text"
},
"name": "text",
"description": "text",
"ai_description": "text",
"is_custom": true,
"fetch_url": "text",
"allow_relations": true,
"meta": null,
"related_objects": [
{
"related_object": "123e4567-e89b-12d3-a456-426614174000",
"relation_type": "one_to_one",
"rollup_timeline": false,
"rollup_leadsources": true,
"object_type": "text",
"object_name": "text",
"entity_name": "text",
"field_id": "123e4567-e89b-12d3-a456-426614174000"
}
],
"created": "2026-01-01T00:00:00.000Z",
"access": {
"view": true,
"edit": true,
"remove": true
},
"entity_access": true,
"rollup_related_leadsources": true,
"quick_filtering_enabled": true,
"record_layouts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"config": null,
"tabs": null,
"order": 1
}
],
"association_source": "direct",
"association_source_fields": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"related_field": "text",
"related_object": "text"
}
],
"action_override_create": "text",
"field_categories": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"order": 1
}
],
"fields": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"category": "123e4567-e89b-12d3-a456-426614174000",
"display_name": "text",
"canonical_display_name": "text",
"is_default": true,
"field_type": "checkbox",
"is_required": true,
"is_read_only": true,
"is_hidden": true,
"is_deletable": true,
"is_hideable": true,
"is_suppressed": true,
"include_in_short_form": "text",
"allows_nulls": true,
"allows_empty": true,
"order": 1,
"meta": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"description": "text",
"description_visibility": "all",
"properties": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"access": {
"view": true,
"edit": true,
"remove": true
},
"options": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"name": "text",
"order": 1,
"meta": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"percentage_chance_to_close": 1,
"chance_to_close_percentage": 1,
"status": "open"
}
],
"relation": {
"related_field": "123e4567-e89b-12d3-a456-426614174000",
"related_object": "123e4567-e89b-12d3-a456-426614174000",
"related_category": "123e4567-e89b-12d3-a456-426614174000",
"related_name": "text",
"related_object_name": "text",
"related_object_object_name": "text",
"related_entity_name": "text",
"relation_type": "one_to_one",
"cardinality": "one_to_one",
"fetch_url": "text",
"rollup_timeline": true,
"rollup_leadsources": true,
"inverse_relation_rollup_timeline": true,
"inverse_relation_rollup_leadsources": true,
"inverse_relation_suppressed": true,
"related_object_default_on_activities": "text"
},
"allow_on_forms": true
}
],
"pipeline": {
"stages": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"status": "open",
"percentage_chance_to_close": 1,
"order": 1
}
],
"track_entity_value": true,
"include_percentage_to_close": true,
"use_ai_to_update_percentage": true
},
"browser_js_actions": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"api_name": "text",
"name": "text",
"script": "text",
"plugin_app": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"api_name": "text",
"base_config": null
}
}
],
"browser_route_scripts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"api_name": "text",
"name": "text",
"routes": null,
"script": "text",
"blocking": true,
"custom_object": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"object_name": "text"
},
"plugin_app": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"api_name": "text",
"base_config": null
}
}
],
"custom_actions": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"action": "text",
"automation": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"api_name": "text",
"name": "text"
},
"smart_connector": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
},
"order": 1
}
]
}Lists field options for single or multi-select fields, such as dynamic tags, checkboxes, dropdown, radio, etc
Field ID (UUID) or API name
Custom Object ID (UUID) or API name
Includes entity_count in response and makes the response paginated.
Which field to use when ordering the results. Prepend with '-' for descending order.
A page number within the paginated result set.
Number of results to return per page.
A search term.
123http://api.example.org/accounts/?page=4http://api.example.org/accounts/?page=2["error message"]GET /api/custom-objects/{object_identifier}/fields/{field_identifier}/options HTTP/1.1
X-API-KEY: YOUR_API_KEY
X-BUSINESS-ID: YOUR_BUSINESS_ID
X-USER-ID: YOUR_USER_ID
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"id": "06fe6c54-ea50-469e-b7fd-898a6b1b51b2",
"code": "",
"name": "Option 1",
"order": 1,
"meta": {}
}
],
"errors": [
"error message"
]
}Search fields
Custom Object ID (UUID) or API name
checkbox- Checkboxcheckboxes- Checkboxeschoices- Choicesdate- Datedatetime- Datetimedecimal- Decimal Numberdropdown- Dropdowndynamictags- Dynamic Tagsemail- Emailfiles- Filesinteger- Whole Numberlongtext- Long Textmoney- Moneyphonenumber- Phone Numberradio- Radiorating- Ratingrelationship- Relationshipselector- Selectorstatus- Statusteam_selector- Team Selectortext- Texttimezone- Timezonewysiwyg- Wysiwygyesnomaybe- Yes / No / Maybe Question
Multiple values may be separated by commas.
Which field to use when ordering the results. Prepend with '-' for descending order.
A search term.
checkbox- Checkboxcheckboxes- Checkboxeschoices- Choicesdate- Datedatetime- Datetimedecimal- Decimal Numberdropdown- Dropdowndynamictags- Dynamic Tagsemail- Emailfiles- Filesinteger- Whole Numberlongtext- Long Textmoney- Moneyphonenumber- Phone Numberradio- Radiorating- Ratingrelationship- Relationshipselector- Selectorstatus- Statusteam_selector- Team Selectortext- Texttimezone- Timezonewysiwyg- Wysiwygyesnomaybe- Yes / No / Maybe Question
all- All Labelscreate_only- Only on Createsettings_only- Only in Settings
checkbox- Checkboxcheckboxes- Checkboxeschoices- Choicesdate- Datedatetime- Datetimedecimal- Decimal Numberdropdown- Dropdowndynamictags- Dynamic Tagsemail- Emailfiles- Filesinteger- Whole Numberlongtext- Long Textmoney- Moneyphonenumber- Phone Numberradio- Radiorating- Ratingrelationship- Relationshipselector- Selectorstatus- Statusteam_selector- Team Selectortext- Texttimezone- Timezonewysiwyg- Wysiwygyesnomaybe- Yes / No / Maybe Question
all- All Labelscreate_only- Only on Createsettings_only- Only in Settings
POST /api/custom-objects/{object_identifier}/fields/search HTTP/1.1
X-API-KEY: YOUR_API_KEY
X-BUSINESS-ID: YOUR_BUSINESS_ID
X-USER-ID: YOUR_USER_ID
Content-Type: application/json
Accept: */*
Content-Length: 1188
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"category": "123e4567-e89b-12d3-a456-426614174000",
"display_name": "text",
"canonical_display_name": "text",
"is_default": true,
"field_type": "checkbox",
"is_required": true,
"is_read_only": true,
"is_hidden": true,
"is_deletable": true,
"is_hideable": true,
"is_suppressed": true,
"include_in_short_form": "text",
"allows_nulls": true,
"allows_empty": true,
"order": 1,
"meta": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"description": "text",
"description_visibility": "all",
"properties": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"access": {
"view": true,
"edit": true,
"remove": true
},
"options": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"name": "text",
"order": 1,
"meta": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"percentage_chance_to_close": 1,
"chance_to_close_percentage": 1,
"status": "open"
}
],
"relation": {
"related_object": "123e4567-e89b-12d3-a456-426614174000",
"related_category": "123e4567-e89b-12d3-a456-426614174000",
"related_name": "text",
"relation_type": "one_to_one",
"rollup_timeline": true,
"rollup_leadsources": true,
"inverse_relation_rollup_timeline": true,
"inverse_relation_rollup_leadsources": true,
"inverse_relation_suppressed": true
},
"allow_on_forms": true
}[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"category": "123e4567-e89b-12d3-a456-426614174000",
"display_name": "text",
"canonical_display_name": "text",
"is_default": true,
"field_type": "checkbox",
"is_required": true,
"is_read_only": true,
"is_hidden": true,
"is_deletable": true,
"is_hideable": true,
"is_suppressed": true,
"include_in_short_form": "text",
"allows_nulls": true,
"allows_empty": true,
"order": 1,
"meta": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"description": "text",
"description_visibility": "all",
"properties": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"access": {
"view": true,
"edit": true,
"remove": true
},
"options": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"name": "text",
"order": 1,
"meta": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"percentage_chance_to_close": 1,
"chance_to_close_percentage": 1,
"status": "open"
}
],
"relation": {
"related_field": "123e4567-e89b-12d3-a456-426614174000",
"related_object": "123e4567-e89b-12d3-a456-426614174000",
"related_category": "123e4567-e89b-12d3-a456-426614174000",
"related_name": "text",
"related_object_name": "text",
"related_object_object_name": "text",
"related_entity_name": "text",
"relation_type": "one_to_one",
"cardinality": "one_to_one",
"fetch_url": "text",
"rollup_timeline": true,
"rollup_leadsources": true,
"inverse_relation_rollup_timeline": true,
"inverse_relation_rollup_leadsources": true,
"inverse_relation_suppressed": true,
"related_object_default_on_activities": "text"
},
"allow_on_forms": true
}
]Search custom objects
Filter Custom Objects for the Client object (is_custom field)
truepipeline- pipelinestandard- standard
Which field to use when ordering the results. Prepend with '-' for descending order.
A page number within the paginated result set.
Number of results to return per page.
A search term.
123http://api.example.org/accounts/?page=4http://api.example.org/accounts/?page=2["error message"]POST /api/custom-objects/search HTTP/1.1
X-API-KEY: YOUR_API_KEY
X-BUSINESS-ID: YOUR_BUSINESS_ID
X-USER-ID: YOUR_USER_ID
Content-Type: application/json
Accept: */*
Content-Length: 55
{
"object_ids": [
"123e4567-e89b-12d3-a456-426614174000"
]
}{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"fetch_url": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"object_type": "pipeline",
"object_name": "text",
"entity_name": "text",
"rollup_related_leadsources": true,
"association_source": "direct",
"has_commerce_data": true,
"default_on_activities": true,
"owner": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"first_name": "text",
"last_name": "text",
"email": "name@gmail.com",
"full_name": "text",
"picture": {
"id": "text",
"created": "2026-01-01T00:00:00.000Z",
"key": "text",
"name": "text",
"url": "text",
"thumbnail_url": "text",
"size_bytes": "text",
"content_type": "text",
"size_formatted": "text",
"is_public": true
}
},
"description": "text",
"is_custom": true,
"allow_relations": true,
"created": "2026-01-01T00:00:00.000Z",
"access": {
"view": true,
"edit": true,
"remove": true
},
"track_entity_value": true,
"include_percentage_to_close": true,
"use_ai_to_update_percentage": true,
"ai_confidence_threshold": "text",
"allow_on_forms": true,
"default_color": "text",
"default_icon": "text"
}
],
"errors": [
"error message"
]
}Last updated
Was this helpful?